path: /build/build/spectacle-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test annotate handbook share" emerge kde-apps/spectacle:5 -pv -t && \
    USE="-test annotate handbook share" emerge -j ${JOBS} --nodeps kde-apps/spectacle:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/spectacle && luet-portage --dir /pkgdir/spectacle
    kde-apps/spectacle:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: spectacle
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - -test
    - annotate
    - handbook
    - share
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Screenshot capture utility
    uri:
    - https://apps.kde.org/en/spectacle
    license: LGPL-2+ handbook? ( FDL-1.3 )
    buildtimestamp: 2024-02-15 18:27:27.973711407 +0000 UTC m=+248.647803787
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
      DEPEND: '>=dev-libs/plasma-wayland-protocols-1.9 dev-libs/wayland dev-util/wayland-scanner
        >=dev-qt/qdbus-5.15.2:5 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtdbus-5.15.2:5
        >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtquickcontrols2-5.15.2:5 >=dev-qt/qtsvg-5.15.2:5
        >=dev-qt/qtprintsupport-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5
        >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/kglobalaccel-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kirigami-5.98.0:5
        >=kde-frameworks/knewstuff-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
        >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        >=kde-frameworks/purpose-5.98.0:5 >=kde-plasma/kpipewire-5.14.5:5 x11-libs/libxcb
        x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-image dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils'
      IUSE: debug +handbook test
      RDEPEND: '>=dev-libs/plasma-wayland-protocols-1.9 dev-libs/wayland dev-util/wayland-scanner
        >=dev-qt/qdbus-5.15.2:5 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtdbus-5.15.2:5
        >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtquickcontrols2-5.15.2:5 >=dev-qt/qtsvg-5.15.2:5
        >=dev-qt/qtprintsupport-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5
        >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/kglobalaccel-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kirigami-5.98.0:5
        >=kde-frameworks/knewstuff-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
        >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        >=kde-frameworks/purpose-5.98.0:5 >=kde-plasma/kpipewire-5.14.5:5 x11-libs/libxcb
        x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-image >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-apps/spectacle:5
      kit: kde-kit
      original.package.name: kde-apps/spectacle
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/spectacle
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bfbf245319e5966bf5cd7f9fc7a562bd53a9cd7d3e952cd48116a3284424842c
compressiontype: zstd
files:
- usr/bin/spectacle
- usr/lib/systemd/user/app-org.kde.spectacle.service
- usr/lib64/kconf_update_bin/spectacle-migrate-rememberregion
- usr/lib64/kconf_update_bin/spectacle-migrate-shortcuts
- usr/share/applications/org.kde.spectacle.desktop
- usr/share/dbus-1/interfaces/org.kde.Spectacle.xml
- usr/share/dbus-1/services/org.kde.Spectacle.service
- usr/share/doc/spectacle-23.08.2/README.md.bz2
- usr/share/help/ca/spectacle/Annotate.png
- usr/share/help/ca/spectacle/ApplicationPreferences.png
- usr/share/help/ca/spectacle/MainWindow.png
- usr/share/help/ca/spectacle/SaveOptions.png
- usr/share/help/ca/spectacle/index.cache.bz2
- usr/share/help/ca/spectacle/index.docbook
- usr/share/help/de/spectacle/index.cache.bz2
- usr/share/help/de/spectacle/index.docbook
- usr/share/help/en/spectacle/Annotate.png
- usr/share/help/en/spectacle/ApplicationPreferences.png
- usr/share/help/en/spectacle/MainWindow.png
- usr/share/help/en/spectacle/SaveOptions.png
- usr/share/help/en/spectacle/index.cache.bz2
- usr/share/help/en/spectacle/index.docbook
- usr/share/help/es/spectacle/index.cache.bz2
- usr/share/help/es/spectacle/index.docbook
- usr/share/help/it/spectacle/ApplicationPreferences.png
- usr/share/help/it/spectacle/MainWindow.png
- usr/share/help/it/spectacle/SaveOptions.png
- usr/share/help/it/spectacle/index.cache.bz2
- usr/share/help/it/spectacle/index.docbook
- usr/share/help/nl/spectacle/index.cache.bz2
- usr/share/help/nl/spectacle/index.docbook
- usr/share/help/pt/spectacle/index.cache.bz2
- usr/share/help/pt/spectacle/index.docbook
- usr/share/help/pt_BR/spectacle/index.cache.bz2
- usr/share/help/pt_BR/spectacle/index.docbook
- usr/share/help/ru/spectacle/index.cache.bz2
- usr/share/help/ru/spectacle/index.docbook
- usr/share/help/sv/spectacle/index.cache.bz2
- usr/share/help/sv/spectacle/index.docbook
- usr/share/help/uk/spectacle/Annotate.png
- usr/share/help/uk/spectacle/ApplicationPreferences.png
- usr/share/help/uk/spectacle/MainWindow.png
- usr/share/help/uk/spectacle/SaveOptions.png
- usr/share/help/uk/spectacle/index.cache.bz2
- usr/share/help/uk/spectacle/index.docbook
- usr/share/icons/hicolor/scalable/apps/spectacle.svg
- usr/share/kconf_update/50-clipboard_settings_change.py
- usr/share/kconf_update/spectacle_clipboard.upd
- usr/share/kconf_update/spectacle_newConfig.upd
- usr/share/kconf_update/spectacle_rememberregion.upd
- usr/share/kconf_update/spectacle_shortcuts.upd
- usr/share/kglobalaccel/org.kde.spectacle.desktop
- usr/share/knotifications5/spectacle.notifyrc
- usr/share/locale/ar/LC_MESSAGES/spectacle.mo
- usr/share/locale/az/LC_MESSAGES/spectacle.mo
- usr/share/locale/bg/LC_MESSAGES/spectacle.mo
- usr/share/locale/ca/LC_MESSAGES/spectacle.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/spectacle.mo
- usr/share/locale/cs/LC_MESSAGES/spectacle.mo
- usr/share/locale/da/LC_MESSAGES/spectacle.mo
- usr/share/locale/de/LC_MESSAGES/spectacle.mo
- usr/share/locale/el/LC_MESSAGES/spectacle.mo
- usr/share/locale/en_GB/LC_MESSAGES/spectacle.mo
- usr/share/locale/eo/LC_MESSAGES/spectacle.mo
- usr/share/locale/es/LC_MESSAGES/spectacle.mo
- usr/share/locale/et/LC_MESSAGES/spectacle.mo
- usr/share/locale/eu/LC_MESSAGES/spectacle.mo
- usr/share/locale/fi/LC_MESSAGES/spectacle.mo
- usr/share/locale/fr/LC_MESSAGES/spectacle.mo
- usr/share/locale/gl/LC_MESSAGES/spectacle.mo
- usr/share/locale/he/LC_MESSAGES/spectacle.mo
- usr/share/locale/hsb/LC_MESSAGES/spectacle.mo
- usr/share/locale/hu/LC_MESSAGES/spectacle.mo
- usr/share/locale/ia/LC_MESSAGES/spectacle.mo
- usr/share/locale/id/LC_MESSAGES/spectacle.mo
- usr/share/locale/ie/LC_MESSAGES/spectacle.mo
- usr/share/locale/is/LC_MESSAGES/spectacle.mo
- usr/share/locale/it/LC_MESSAGES/spectacle.mo
- usr/share/locale/ja/LC_MESSAGES/spectacle.mo
- usr/share/locale/ka/LC_MESSAGES/spectacle.mo
- usr/share/locale/ko/LC_MESSAGES/spectacle.mo
- usr/share/locale/lt/LC_MESSAGES/spectacle.mo
- usr/share/locale/ml/LC_MESSAGES/spectacle.mo
- usr/share/locale/nl/LC_MESSAGES/spectacle.mo
- usr/share/locale/nn/LC_MESSAGES/spectacle.mo
- usr/share/locale/pa/LC_MESSAGES/spectacle.mo
- usr/share/locale/pl/LC_MESSAGES/spectacle.mo
- usr/share/locale/pt/LC_MESSAGES/spectacle.mo
- usr/share/locale/pt_BR/LC_MESSAGES/spectacle.mo
- usr/share/locale/ro/LC_MESSAGES/spectacle.mo
- usr/share/locale/ru/LC_MESSAGES/spectacle.mo
- usr/share/locale/sk/LC_MESSAGES/spectacle.mo
- usr/share/locale/sl/LC_MESSAGES/spectacle.mo
- usr/share/locale/sr/LC_MESSAGES/spectacle.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/spectacle.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/spectacle.mo
- usr/share/locale/sr@latin/LC_MESSAGES/spectacle.mo
- usr/share/locale/sv/LC_MESSAGES/spectacle.mo
- usr/share/locale/ta/LC_MESSAGES/spectacle.mo
- usr/share/locale/tr/LC_MESSAGES/spectacle.mo
- usr/share/locale/uk/LC_MESSAGES/spectacle.mo
- usr/share/locale/zh_CN/LC_MESSAGES/spectacle.mo
- usr/share/locale/zh_TW/LC_MESSAGES/spectacle.mo
- usr/share/man/ca/man1/spectacle.1.bz2
- usr/share/man/de/man1/spectacle.1.bz2
- usr/share/man/es/man1/spectacle.1.bz2
- usr/share/man/it/man1/spectacle.1.bz2
- usr/share/man/man1/spectacle.1.bz2
- usr/share/man/nl/man1/spectacle.1.bz2
- usr/share/man/sv/man1/spectacle.1.bz2
- usr/share/man/uk/man1/spectacle.1.bz2
- usr/share/metainfo/org.kde.spectacle.appdata.xml
- usr/share/qlogging-categories5/spectacle.categories
- var/db/pkg/kde-apps/spectacle-23.08.2/BDEPEND
- var/db/pkg/kde-apps/spectacle-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/spectacle-23.08.2/CATEGORY
- var/db/pkg/kde-apps/spectacle-23.08.2/CBUILD
- var/db/pkg/kde-apps/spectacle-23.08.2/CFLAGS
- var/db/pkg/kde-apps/spectacle-23.08.2/CHOST
- var/db/pkg/kde-apps/spectacle-23.08.2/CONTENTS
- var/db/pkg/kde-apps/spectacle-23.08.2/COUNTER
- var/db/pkg/kde-apps/spectacle-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/spectacle-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/spectacle-23.08.2/DEPEND
- var/db/pkg/kde-apps/spectacle-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/spectacle-23.08.2/EAPI
- var/db/pkg/kde-apps/spectacle-23.08.2/FEATURES
- var/db/pkg/kde-apps/spectacle-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/spectacle-23.08.2/INHERITED
- var/db/pkg/kde-apps/spectacle-23.08.2/IUSE
- var/db/pkg/kde-apps/spectacle-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/spectacle-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/spectacle-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/spectacle-23.08.2/LICENSE
- var/db/pkg/kde-apps/spectacle-23.08.2/NEEDED
- var/db/pkg/kde-apps/spectacle-23.08.2/PF
- var/db/pkg/kde-apps/spectacle-23.08.2/RDEPEND
- var/db/pkg/kde-apps/spectacle-23.08.2/REQUIRES
- var/db/pkg/kde-apps/spectacle-23.08.2/SIZE
- var/db/pkg/kde-apps/spectacle-23.08.2/SLOT
- var/db/pkg/kde-apps/spectacle-23.08.2/USE
- var/db/pkg/kde-apps/spectacle-23.08.2/environment.bz2
- var/db/pkg/kde-apps/spectacle-23.08.2/repository
- var/db/pkg/kde-apps/spectacle-23.08.2/spectacle-23.08.2.ebuild
package_cacheimage: ""
runtime:
  name: spectacle
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - -test
  - annotate
  - handbook
  - share
  requires:
  - name: qdbus
    version: '>=0'
    category: dev-qt-5
  - name: kconfigwidgets
    version: '>=0'
    category: kde-frameworks-5
  - name: knewstuff
    version: '>=0'
    category: kde-frameworks-5
  - name: knotifications
    version: '>=0'
    category: kde-frameworks-5
  - name: kservice
    version: '>=0'
    category: kde-frameworks-5
  - name: kwayland
    version: '>=0'
    category: kde-frameworks-5
  - name: purpose
    version: '>=0'
    category: kde-frameworks-5
  - name: kimageannotator
    version: '>=0'
    category: media-libs
  - name: xcb-util-cursor
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Screenshot capture utility
  uri:
  - https://apps.kde.org/en/spectacle
  license: LGPL-2+ handbook? ( FDL-1.3 )
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
    DEPEND: '>=dev-libs/plasma-wayland-protocols-1.9 dev-libs/wayland dev-util/wayland-scanner
      >=dev-qt/qdbus-5.15.2:5 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtdbus-5.15.2:5
      >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtquickcontrols2-5.15.2:5 >=dev-qt/qtsvg-5.15.2:5
      >=dev-qt/qtprintsupport-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5
      >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kglobalaccel-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kirigami-5.98.0:5
      >=kde-frameworks/knewstuff-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/purpose-5.98.0:5
      >=kde-plasma/kpipewire-5.14.5:5 x11-libs/libxcb x11-libs/xcb-util x11-libs/xcb-util-cursor
      x11-libs/xcb-util-image dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: debug +handbook test
    RDEPEND: '>=dev-libs/plasma-wayland-protocols-1.9 dev-libs/wayland dev-util/wayland-scanner
      >=dev-qt/qdbus-5.15.2:5 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtdbus-5.15.2:5
      >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtquickcontrols2-5.15.2:5 >=dev-qt/qtsvg-5.15.2:5
      >=dev-qt/qtprintsupport-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5
      >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kglobalaccel-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kirigami-5.98.0:5
      >=kde-frameworks/knewstuff-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5
      >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kwindowsystem-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/purpose-5.98.0:5
      >=kde-plasma/kpipewire-5.14.5:5 x11-libs/libxcb x11-libs/xcb-util x11-libs/xcb-util-cursor
      x11-libs/xcb-util-image >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-apps/spectacle:5
    kit: kde-kit
    original.package.name: kde-apps/spectacle
    original.package.slot: "5"
    original.package.version: 23.08.2
